## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Docs and integration tests are disabled to avoid circular dependencies for now
%bcond docs 0
%bcond tests 1
%bcond integration 0

%global forgeurl https://github.com/%{name}/%{name}

Name:           mkdocs
Version:        1.6.1
Release:        %autorelease
Summary:        Python tool to create HTML documentation from markdown sources

# mkdocs itself is BSD-2-Clause, the rest comes from bundled dependencies
License:        BSD-2-Clause AND OFL-1.1-RFN AND Apache-2.0 AND OFL-1.1 AND MIT AND (MIT OR GPL-2.0-only) AND MPL-1.1
URL:            https://www.mkdocs.org
Source0:        %{forgeurl}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  sed

%if %{with docs}
BuildRequires:  python3dist(mdx-gh-links)
BuildRequires:  python3dist(mkdocs-redirects)
%endif
%if %{with integration}
BuildRequires:  python3dist(pymdown-extensions)
BuildRequires:  python3dist(markdown-callouts)
%endif

BuildRequires:  fontawesome4-fonts
BuildRequires:  fontawesome-fonts-web
BuildRequires:  js-jquery

# These need to be unretired
# Recommends:     mkdocs-bootstrap
# Recommends:     mkdocs-bootswatch

Requires:       fontawesome4-fonts
Requires:       fontawesome-fonts-web
Requires:       js-jquery

# These fonts are vendored under mkdocs/themes/readthedocs/css/fonts/ in
# formats that are not available in Fedora (eot/svg/woff/woff2)
# License: OFL-1.1-RFN
Provides:       bundled(fontawesome4-fonts)
# License: Apache-2.0
Provides:       bundled(google-roboto-slab-fonts)
# Licence: OFL-1.1
Provides:       bundled(lato-fonts)

# Vendored under mkdocs/themes/mkdocs/js/bootstrap.bundle.min.js
# License: MIT
Provides:       bundled(js-bootstrap) = 5.3.2
# Vendored under mkdocs/themes/readthedocs/js/html5shiv.min.js
# License: MIT OR GPL-2.0-only
Provides:       bundled(js-html5shiv) = 3.7.3
# Vendored under mkdocs/contrib/search/templates/search/lunr.js
# License: MIT
Provides:       bundled(js-lunr) = 2.3.9
# Vendored under mkdocs/contrib/search/lunr-language/
# License: MPL-1.1
Provides:       bundled(js-lunr-languages)

%description
MkDocs is a fast and simple way to create a website from source files written 
in Markdown, and configured with a YAML configuration file, the documentation 
can be hosted anywhere, even in free hosting services like Read the Docs and 
GitHub Pages.

%if %{with docs}
%package docs
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}

%description docs
Documentation for %{name}.
%endif

%prep
%autosetup -p1

# Drop unnecessary shebangs
sed -i '1{\@^#!/usr/bin/env python@d}' mkdocs/{__init__,__main__}.py

# Replace bundled fonts
ln -sf %{_fontbasedir}/fontawesome/fontawesome-webfont.ttf \
  mkdocs/themes/readthedocs/css/fonts/
rm mkdocs/themes/mkdocs/webfonts/*
for f in %{_datadir}/fontawesome/webfonts/*; do
  ln -s "$f" mkdocs/themes/mkdocs/webfonts/
done

# Replace bundled js
ln -sf %{_datadir}/javascript/jquery/3/jquery.min.js \
  mkdocs/themes/readthedocs/js/jquery-3.6.0.min.js

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
LC_ALL=C.UTF-8 LANG=C.UTF-8 PYTHONPATH=$PWD %{__python3} -m mkdocs build
%endif

%install
%pyproject_install
%pyproject_save_files mkdocs

%check
%pyproject_check_import
%if %{with tests}
%{py3_test_envvars} %{python3} -m unittest discover -s mkdocs -p "*tests.py" -v
%endif
%if %{with integration}
%{py3_test_envvars} %{python3} -m mkdocs.tests.integration
%endif

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%if %{with docs}
%files docs
%doc site/*
%endif

%changelog
## START: Generated by rpmautospec
* Fri Mar 21 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 1.6.1-3
- Actually run the test suite; Fixes: RHBZ#2354086

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Sep 05 2024 Sandro Mani <manisandro@gmail.com> - 1.6.1-1
- Update to 1.6.1

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.6.0-2
- Rebuilt for Python 3.13

* Thu May 30 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0; Fixes: RHBZ#2283707

* Thu May 30 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.3.1-6
- Convert license tag to SPDX and document bundled dependencies

* Thu May 30 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.3.1-5
- Temporarily disable docs to avoid a circular dependency

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 20 2022 Sandro Mani <manisandro@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.3.0-3
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.3.0-2
- Bootstrap for Python 3.11

* Sat Mar 26 2022 Sandro Mani <manisandro@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Oct 14 2021 Sandro Mani <manisandro@gmail.com> - 1.2.3-1
- Update to 1.2.3

* Thu Sep 30 2021 Sandro Mani <manisandro@gmail.com> - 1.2.2-2
- Enable docs

* Tue Aug 24 2021 Sandro Mani <manisandro@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-6
- Fix Python 3.10 build (fix rhbz#1913266): Backport upstream commits 72f506dc
  and 775d506, and apply a temporary patch to
  mkdocs/tests/utils/ghp_import_tests.py (which is removed upstream after the
  current release)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.1.2-5
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Aug  7 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.1.2-3
- Bundle jquery since jquery1 and jquery2 are retired
- Drop explicit nltk requirement

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 12 2020 Qiyu Yan <yanqiyu01@gmail.com> - 1.1.2-1
- Update to 1.1.2 upstream release

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.1-5
- Rebuilt for Python 3.9

* Tue Mar 24 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.1-4
- Drop explicit lunr requirement
- License specified to BSD and Tumbolia

* Mon Mar 23 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.1-3
- Add symlinks to the Roboto fonts.

* Sun Mar  8 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.1-2
- Requires python3dist(lunr) python3dist(nltk)
- Obsoletes mkdocs-basic-theme

* Sun Mar  8 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.1-1
- Update to 1.1
- Don't include the external manpage
- Build docs subpackage with current source, so no bootstrap is required
- Don't BR full paths
- Recommends instead of Requires external themes

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Miro Hrončok <mhroncok@redhat.com> - 0.16.3-7
- Rebuilt for Python 3.7

* Mon Jul 09 2018 Miro Hrončok <mhroncok@redhat.com> - 0.16.3-6
- Bootstrap for Python 3.7
- Add patch for Python 3.7 compatibility

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 13 2017 williamjmorenor@gmail.com - 0.16.3-4
- Force BuildRequeriments to specific files to avoid
  broken symlinks in the user system, this should catch
  missing files to specific themes

* Fri Oct 06 2017 williamjmorenor@gmail.com - 0.16.3-3
- Build docs with self to check for broken symlinks
  See: https://bugzilla.redhat.com/show_bug.cgi?id=1497654

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 William Moreno <williamjmorenor@gmail.com> - 0.16.3-1
- Update to 0.16.3 upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 William Moreno <williamjmorenor@gmail.com> - 0.16.1-2
- Bootstrapping 0.16.1 in F25

* Thu Jan 12 2017 William Moreno <williamjmorenor@gmail.com> - 0.16.1-1
- Update to v0.16.1

* Tue Dec 20 2016 Miro Hrončok <mhroncok@redhat.com> - 0.15.3-7
- Build the docs with self (was disabled for bootstrapping)

* Tue Dec 20 2016 Miro Hrončok <mhroncok@redhat.com> - 0.15.3-6
- Change so it will use the available version of jquery1

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.15.3-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 03 2016 William Moreno <williamjmorenor@gmail.com> - 0.15.3-3
- Unbundle jquery libs

* Fri Apr 08 2016 William Moreno <williamjmorenor@gmail.com> - 0.15.3-2
- Updates requires
- List avaiables themes as enhances

* Fri Apr 08 2016 William Moreno <williamjmorenor@gmail.com> - 0.15.3-1
- Update to v0.15.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 William Moreno <williamjmorenor@gmail.com> - 0.14.0-8
- fedoraproject.org/wiki/FAD_Python_3_Porting_2015
- disable test

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jul 31 2015 Fedora <williamjmorenor@gmail.com>
- 0.14.0-6
- Update Python macros

* Mon Jul 27 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.14.0-5
- Initial import of #1230963
- Fix BuildRequires

## END: Generated by rpmautospec
